GPGPARTICIPANTS-PREFILL(1)

NAME
gpgparticipants-prefill - insert checksum-digits in a gpgparticicpants' form

SYNOPSIS
gpgparticipants-prefill [OPTIONS] EMPTYLIST FILLEDLIST

DESCRIPTION
gpgparticipants-prefill takes a file produced by gpgparticipants (EMPTYLIST) and tries to fill in some digits into the SHA256 field such that the resulting list actually has a SHA256 checksum that starts with those digits. In other words, it tries to produce a file that hashes to a checksum that is partially written down in the file. Whenever a match is found, a file with the digits filled in is written to FILLEDLIST.DIGITS.

OPTIONS

-h, --help
    Print the usage text.

--fastforward
    If a match is found of some length, immediately jump to the next length.

--min-length NUM
    Start search with given length.

--max-length NUM
    Stop search after the given length.

--prefix PREFIX
    Only consider hex strings starting with PREFIX.

SEE ALSO
gpgparticipants(1)

AUTHOR
This manual page was written by Stefan Huber <shuber@sthu.org>.